HTMLParser (Lucene 2.4.1 API)
Keywords: org.apache.lucene.demo.html.HTMLParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.demo.html
Class HTMLParser

    java.lang.Object
      org.apache.lucene.demo.html.HTMLParser

All Implemented Interfaces:
  HTMLParserConstants

    public class HTMLParser

extends Object
implements HTMLParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`static int` | `SUMMARY_LENGTH`
`Token` | `token`
`HTMLParserTokenManager` | `token_source`

Fields inherited from interface org.apache.lucene.demo.html.HTMLParserConstants
`AfterEquals, ArgEquals, ArgName, ArgQuote1, ArgQuote2, ArgValue, CloseQuote1, CloseQuote2, Comment1, Comment2, CommentEnd1, CommentEnd2, CommentText1, CommentText2, DeclName, DEFAULT, Entity, EOF, HEX, LET, NUM, Punct, Quote1Text, Quote2Text, ScriptEnd, ScriptStart, ScriptText, SP, Space, TagEnd, TagName, tokenImage, WithinComment1, WithinComment2, WithinQuote1, WithinQuote2, WithinScript, WithinTag, Word`

Constructor Summary
`HTMLParser(File file)` Deprecated. Use HTMLParser(FileInputStream) instead
`HTMLParser(HTMLParserTokenManager tm)`
`HTMLParser(InputStream stream)`
`HTMLParser(InputStream stream, String encoding)`
`HTMLParser(Reader stream)`

Method Summary
`Token` | `ArgValue()`
`void` | `CommentTag()`
`Token` | `Decl()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Properties` | `getMetaTags()`
`Token` | `getNextToken()`
`Reader` | `getReader()`
`String` | `getSummary()`
`String` | `getTitle()`
`Token` | `getToken(int index)`
`void` | `HTMLDocument()`
`void` | `ReInit(HTMLParserTokenManager tm)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(InputStream stream, String encoding)`
`void` | `ReInit(Reader stream)`
`void` | `ScriptTag()`
`void` | `Tag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUMMARY_LENGTH

    public static int SUMMARY_LENGTH

### token_source

    public HTMLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### HTMLParser

    public HTMLParser(File file)
               throws FileNotFoundException

  Deprecated. Use HTMLParser(FileInputStream) instead

  Throws:
    `FileNotFoundException`

### HTMLParser

    public HTMLParser(InputStream stream)

### HTMLParser

    public HTMLParser(InputStream stream,
                      String encoding)

### HTMLParser

    public HTMLParser(Reader stream)

### HTMLParser

    public HTMLParser(HTMLParserTokenManager tm)

Method Detail

### getTitle

    public String getTitle()
                    throws IOException,
                           InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### getMetaTags

    public Properties getMetaTags()
                           throws IOException,
                                  InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### getSummary

    public String getSummary()
                      throws IOException,
                             InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### getReader

    public Reader getReader()
                     throws IOException

  Throws:
    `IOException`

### HTMLDocument

    public final void HTMLDocument()
                            throws ParseException,
                                   IOException

  Throws:
    `ParseException`
    `IOException`

### Tag

    public final void Tag()
                   throws ParseException,
                          IOException

  Throws:
    `ParseException`
    `IOException`

### ArgValue

    public final Token ArgValue()
                         throws ParseException

  Throws:
    `ParseException`

### Decl

    public final Token Decl()
                     throws ParseException

  Throws:
    `ParseException`

### CommentTag

    public final void CommentTag()
                          throws ParseException

  Throws:
    `ParseException`

### ScriptTag

    public final void ScriptTag()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(HTMLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.